# digital_ocean_firewall_info – Gather information about DigitalOcean firewalls

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to gather information about DigitalOcean firewalls.

- This module was called `digital_ocean_firewall_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_firewall_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - |  | Firewall rule name that can be used to identify and reference a specific firewall rule.
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all firewalls
      digital_ocean_firewall_info:
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about a specific firewall by name
      digital_ocean_firewall_info:
        oauth_token: "{{ oauth_token }}"
        name: "firewall_name"

    - name: Gather information from a firewall rule
      digital_ocean_firewall_info:
        name: SSH
      register: resp_out

    - set_fact:
        firewall_id: "{{ resp_out.data.id }}"

    - debug:
        msg: "{{ firewall_id }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data list | success | DigitalOcean firewall information Sample: [{'id': '435tbg678-1db53-32b6-t543-28322569t252', 'name': 'metrics', 'status': 'succeeded', 'inbound_rules': [{'protocol': 'tcp', 'ports': '9100', 'sources': {'addresses': ['1.1.1.1']}}], 'outbound_rules': [], 'created_at': '2018-01-15T07:04:25Z', 'droplet_ids': [87426985], 'tags': [], 'pending_changes': []}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Anthony Bond (@BondAnthony)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.